import { useRequest } from "@/use/useHttp"

/**
 *  获取收藏夹列表
 * @returns 
*/
export const FavoriteListApi = () => {
    return useRequest({
        url: `/v1/mall/favorite/list`,
        method: "get",
    })
}


/**
 *  创建收藏夹列表
 * @returns 
*/
export const CreateFavoriteApi = () => {
    return useRequest({
        url: `/v1/mall/favorite`,
        method: "post",
    })
}


/**
 *  删除收藏夹列表
 * @returns 
*/
export const DelFavoriteApi = () => {
    return useRequest({
        url: `/v1/mall/favorite`,
        method: "delete",
    })
}

/**
 *  更新收藏夹
 * @returns 
*/
export const UpdateFavoriteApi = () => {
    return useRequest({
        url: `/v1/mall/favorite`,
        method: "put",
    })
}

/**
 *  加入收藏夹
 * @returns 
*/
export const AddFavoriteApi = () => {
    return useRequest({
        url: `/v1/mall/favorite/product`,
        method: "post",
    })
}

/**
 *  删除收藏夹商品
 * @returns 
*/
export const DelFavoriteProductApi = () => {
    return useRequest({
        url: `/v1/mall/favorite/product`,
        method: "delete",
    })
}